Bug 215155 - glBlendFunc() segfaults on R300
glBlendFunc() segfaults on R300
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-11-11 12:20 EST by Nick Lamb
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 15:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2006-11-11 12:20:53 EST
Description of problem:
I have a Radeon Mobility X600, and when I try to run software which calls
glBlendFunc() it crashes with a segfault. I don't have any other hardware
accelerated 3D hardware that works well enough to test this, so it might be 
specific to the R300 driver but I can't prove it.

In my own software I can work around this bug by removing calls to glBlendFunc()
although of course this means I no longer have transparency, which makes things
look very ugly.

Version-Release number of selected component (if applicable):

How reproducible:
Completely reproducible, happens every time. May need specific hardware to
reproduce if it's only this particular driver.

Steps to Reproduce:
1. Build or install software which uses glBlendFunc() such as the Mesa Teapot demo
2. Run it on FC6

Actual results:

Expected results:
Working GL transparency support as per OpenGL specification

Additional info:

Here's an example backtrace from the GL Teapot example which I compiled from the
Mesa source used for FC6. Other applications, whether my own or third party
crash with a similar trace
[ ie _mesa_BlendFunc() calls _mesa_loopback_init_api_table() and then we crash ]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208289584 (LWP 3710)]
0x002739a1 in _mesa_loopback_init_api_table () from /usr/lib/dri/r300_dri.so
(gdb) bt
#0  0x002739a1 in _mesa_loopback_init_api_table () from /usr/lib/dri/r300_dri.so
#1  0x0027eb44 in _mesa_BlendFunc () from /usr/lib/dri/r300_dri.so
#2  0x08049bb5 in main (ac=1, av=0xbfa0d9c4) at teapot.c:655
Comment 1 Nick Lamb 2006-11-14 15:13:26 EST
Sorry, bug was caused by a stale build environment from some tests I ran before
upgrading to FC6. Not a Fedore Core bug, thus closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.